diff mbox series

[bug#46511] : gnu: thunar: Update to 4.17.0.

Message ID 86lfbqhhlu.fsf@163.com
State New
Headers show
Series [bug#46511] : gnu: thunar: Update to 4.17.0. | expand

Checks

Context Check Description
cbaines/applying patch fail View Laminar job
cbaines/issue success View issue

Commit Message

Zhu Zihao Feb. 14, 2021, 2:03 p.m. UTC

Comments

Michael Rohleder Feb. 14, 2021, 5:14 p.m. UTC | #1
Hello Zhu,

Thank you for the patch!

I think, 4.17.0 is a development release.  From the release notes:

Release notes for 4.17.0
========================
I am pleased to provide you this thunar development release, adding
plenty of new features.
...
Zhu Zihao Feb. 15, 2021, 4:14 a.m. UTC | #2
Michael Rohleder writes:

> Hello Zhu,
>
> Thank you for the patch!
>
> I think, 4.17.0 is a development release.  From the release notes:
>
> Release notes for 4.17.0
> ========================
> I am pleased to provide you this thunar development release, adding
> plenty of new features.
> ...

Thanks for your reminder, I just read the page
https://www.xfce.org/about/releasemodel.

IMO, the called "stable release" just like LTS, the development release
doesn't mean it's a buggy verion. So if it's not suitable to upgrade the
original definition, we may provide it as an alternative packages(e.g.
thunar@4.17.0 vs thunar@4.16.2).
Ludovic Courtès Feb. 22, 2021, 10:10 a.m. UTC | #3
Hi,

Zhu Zihao <all_but_last@163.com> skribis:

> Michael Rohleder writes:
>
>> Hello Zhu,
>>
>> Thank you for the patch!
>>
>> I think, 4.17.0 is a development release.  From the release notes:
>>
>> Release notes for 4.17.0
>> ========================
>> I am pleased to provide you this thunar development release, adding
>> plenty of new features.
>> ...
>
> Thanks for your reminder, I just read the page
> https://www.xfce.org/about/releasemodel.
>
> IMO, the called "stable release" just like LTS, the development release
> doesn't mean it's a buggy verion. So if it's not suitable to upgrade the
> original definition, we may provide it as an alternative packages(e.g.
> thunar@4.17.0 vs thunar@4.16.2).

Normally we’d just provide what upstream calls “stable”, so 4.16 in this
case.  I don’t think it’s reasonable to maintain two versions.

Thoughts?

Thanks,
Ludo’.
diff mbox series

Patch

From f5f1955272be68a5d80b85cc1f7a4d04ff64fb4d Mon Sep 17 00:00:00 2001
From: Zhu Zihao <all_but_last@163.com>
Date: Sun, 14 Feb 2021 21:57:26 +0800
Subject: [PATCH] gnu: thunar: Update to 4.17.0.

* gnu/packages/xfce.scm(thunar): Update to 4.17.0.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 9d8fead43c..8be4efb92e 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -765,7 +765,7 @@  like appearance, display, keyboard and mouse settings.")
 (define-public thunar
   (package
     (name "thunar")
-    (version "4.16.2")
+    (version "4.17.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://archive.xfce.org/src/xfce/"
@@ -773,7 +773,7 @@  like appearance, display, keyboard and mouse settings.")
                                   "thunar-" version ".tar.bz2"))
               (sha256
                (base32
-                "1pbspa31q4kgydjzmssahq3k0wcy10ma466dlsd2y69nqjc0pab7"))))
+                "19gqd5fcv0nxwz7wkv6jydjy06hjw7in98n2dvbr59mxv014y05d"))))
     (build-system gnu-build-system)
     (native-inputs
      `(("pkg-config" ,pkg-config)
-- 
2.30.0